=== debian/changelog ===
upx-ucl (3.94-4) unstable; urgency=medium

  * Apply Mach-o-defend-against-bad-crafted-input.patch from upstream
    to fix crash on packing corrupted Mach-O file (CVE-2017-16869,
    closes: #882041).
  * Apply Protect-against-bad-crafted-input.patch from upstream to fix
    crashes found by AFL (CVE-2017-15056, closes: #873260).
  * Standards-Version: 4.1.2.

 -- Robert Luberda <robert@debian.org>  Fri, 22 Dec 2017 23:25:38 +0100

upx-ucl (3.94-3) unstable; urgency=medium

  * Note in README.source that upx uses upstream-provided LZMA library
    because lzma-dev package does not provide all the files necessary
    to build upx (closes: #871647).
  * Apply patch from Helmut Grohne to fix cross-compiling (closes: #871633):
    + let debhelper choose the correct CC;
    + fix build/host confusion;
    + ask dpkg for host endianness rather than maintaining a list.
  * Standards-Version: 4.1.0.

 -- Robert Luberda <robert@debian.org>  Fri, 01 Sep 2017 23:43:04 +0200

upx-ucl (3.94-2) unstable; urgency=low

  * Upload to unstable.
  * Merge changes from version 3.91-3 and 3.91-4: add Check-DT_REL-i386.patch
    and changelog entries.
  * Standards-Version: 4.0.1.

 -- Robert Luberda <robert@debian.org>  Wed, 09 Aug 2017 22:59:28 +0200

upx-ucl (3.94-1) experimental; urgency=low

  * New upstream version.
  * Remove no longer needed 02-FTBFS-GCC7.patch.
  * debian/rules: Add sparc64 to big-endian archs to hopefully fix FTBFS.

 -- Robert Luberda <robert@debian.org>  Thu, 18 May 2017 00:00:53 +0200

upx-ucl (3.93-1) experimental; urgency=low

  * New upstream version:
    + contains fixes for failed assertions (closes: #775451) and segmentation
      fault (closes: #775455).
  * Upstream homepage was moved to github, update URLs in debian/watch,
    debian/control and debian/copyright.
  * Remove 00-Makefile.patch; override a few upstream Makefile's variables
    in debian/rules instead.
  * Remove 02-Lzma-support.patch together with build-dependency on lzma-dev
    and Built-Using control field. Now upx is built with lzma sources included
    by upstream in the upx source package.
  * Drop 03-FTBFS-GCC6.patch, applied by upstream.
  * Add 02-FTBFS-GCC7.patch that fixes the implicit fallthrough error reported
    by g++-7 (closes: #853694; all other issues mentioned in the bug seem to
    be fixed by upstream).
  * Bump debhelper's compat level to 10.
  * Update debian/copyright with lzma-sdk license details.

 -- Robert Luberda <robert@debian.org>  Fri, 21 Apr 2017 23:08:52 +0200

upx-ucl (3.91-4) unstable; urgency=medium

  * Introduce Check-DT_REL-i386.patch to fix segmentation faults occurring
    while executing upx-compressed i386 position-independent binaries. The
    patch is strongly based on the one added previously for amd64 binaries,
    and was reported to upstream in https://github.com/upx/upx/issues/106.

 -- Robert Luberda <robert@debian.org>  Wed, 31 May 2017 21:50:25 +0200

upx-ucl (3.91-3) unstable; urgency=medium

  * Add Check-DT_RELA.patch based on upstream's commit d688a05ac7 to
    fix segmentation faults on decompressing executables produced by
    newer binutils on amd64 (closes: #860953).
  * Apply the following packaging changes from 3.94-1 in Debian/experimental:
    + upstream homepage was moved to github, update URLs in debian/watch,
      debian/control and debian/copyright;
    + debian/rules: Add sparc64 to big-endian archs to fix FTBFS.

 -- Robert Luberda <robert@debian.org>  Sat, 20 May 2017 09:17:12 +0200

upx-ucl (3.91-2) unstable; urgency=medium

  * Add 03-FTBFS-GCC6.patch to fix build failure with g++-6 (closes: #811595).
  * debian/rules: Enable all hardening options.
  * debian/copyright: Switch to the DEP-5 format.
  * debian/control:
    + switch VCS fields to https;
    + bump Standards-Version to 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 03 Jul 2016 13:02:47 +0200
