=== debian/control ===
Source: upx-ucl
Section: utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 10),
               libucl-dev (>= 1.03),
               zlib1g-dev (>= 1:1.1.4)
Homepage: https://upx.github.io/
Vcs-Git: https://anonscm.debian.org/git/users/robert/upx-ucl.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/robert/upx-ucl.git

Package: upx-ucl
Architecture: any
Provides: upx
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: efficient live-compressor for executables
 UPX is an advanced executable file compressor. UPX will typically
 reduce the file size of programs and DLLs by around 50%-70%, thus
 reducing disk space, network load times, download times etc. The
 current version can compress executables for DOS, Linux/ELF (i386,
 amd64, ppc32) and some other files for different OS.
 .
 NOTE: This package is based on the UCL library, which is licensed under GPL.
