## upx-ucl 3.95

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # UPX toplevel Makefile - needs GNU make 3.81 or better
 #
-# Copyright (C) 1996-2017 Markus Franz Xaver Johannes Oberhumer
+# Copyright (C) 1996-2018 Markus Franz Xaver Johannes Oberhumer
 #
 
 MAKEFLAGS += -rR
