=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # UPX Makefile - needs GNU make 3.81 or better
 #
-# Copyright (C) 1996-2017 Markus Franz Xaver Johannes Oberhumer
+# Copyright (C) 1996-2018 Markus Franz Xaver Johannes Oberhumer
 #
 
 # build configuration options for this Makefile
@@ -163,11 +163,11 @@
 
 # automatically format some C++ source code files
 ifeq ($(shell uname),Linux)
-CLANG_FORMAT_FILES += linker.cpp linker.h packhead.cpp packmast.cpp
+CLANG_FORMAT_FILES += linker.cpp linker.h packhead.cpp packmast.cpp packmast.h
 CLANG_FORMAT_FILES += s_djgpp2.cpp s_object.cpp s_vcsa.cpp s_win32.cpp screen.h
 CLANG_FORMAT_FILES += snprintf.cpp
 CLANG_FORMAT_FILES += stdcxx.cpp stdcxx.h
-CLANG_FORMAT_FILES += ui.cpp ui.h util.h
+CLANG_FORMAT_FILES += ui.cpp ui.h util.cpp util.h work.cpp
 clang-format:
 	$(top_srcdir)/src/stub/scripts/upx-clang-format -i $(addprefix $(top_srcdir)/src/,$(CLANG_FORMAT_FILES))
 .PHONY: clang-format
