=== src/stub/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # cross-assemblers and cross-compilers - please see README.SRC
 # for details.
 #
-# Copyright (C) 1996-2017 Markus Franz Xaver Johannes Oberhumer
+# Copyright (C) 1996-2018 Markus Franz Xaver Johannes Oberhumer
 #
 
 MAKEFLAGS += -rR
@@ -117,8 +117,10 @@
 STUBS += m68k-atari.tos.h
 STUBS += mips.r3000-linux.elf-entry.h
 STUBS += mips.r3000-linux.elf-fold.h
+STUBS += mips.r3000-linux.shlib-init.h
 STUBS += mipsel.r3000-linux.elf-entry.h
 STUBS += mipsel.r3000-linux.elf-fold.h
+STUBS += mipsel.r3000-linux.shlib-init.h
 STUBS += mipsel.r3000-ps1.h
 STUBS += powerpc-darwin.dylib-entry.h
 STUBS += powerpc-darwin.macho-entry.h
@@ -135,6 +137,13 @@
 STUBS += powerpc64le-linux.elf-fold.h
 STUBS += powerpc64le-linux.kernel.vmlinux-head.h
 STUBS += powerpc64le-linux.kernel.vmlinux.h
+#STUBS += powerpc64-darwin.dylib-entry.h
+#STUBS += powerpc64-darwin.macho-entry.h
+#STUBS += powerpc64-darwin.macho-fold.h
+STUBS += powerpc64-linux.elf-entry.h
+STUBS += powerpc64-linux.elf-fold.h
+#STUBS += powerpc64-linux.kernel.vmlinux-head.h
+#STUBS += powerpc64-linux.kernel.vmlinux.h
 endif
 
 
@@ -332,10 +341,3 @@
 # // amd64-linux.elf
 # ************************************************************************/
 
-amd64-linux.elf%.h : tc_list = amd64-linux.elf default
-amd64-linux.elf%.h : tc_bfdname = elf64-x86-64
-
-tc.amd64-linux.elf.gcc  = amd64-linux-gcc-3.4.4 -m64 -nostdinc -MMD -MT $@
-tc.amd64-linux.elf.gcc += -fno-exceptions -fno-asynchronous-unwind-tables
-tc.amd64-linux.elf.gcc += -Wall -W -Wcast-align -Wcast-qual -Wstrict-prototypes -Wwrite-strings -Werror
-
