=== debian/changelog ===
upx-ucl (3.95-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:44 +0100

upx-ucl (3.95-2) unstable; urgency=medium

  * Add two new patches, namely 02-Ignore-malformed-ElfXX_Shdr.patch, and
    03-Malformed-input.patch, taken from upstream to fix CVE-2019-14295,
    and CVE-2019-14296 (closes: #933232).
  * Add autopkgtest check for the above bug fix.
  * Bump debhelper's compat version to 12.
  * debian/rules: Use DPKG_*_MAINT_APPEND variables and buildflags.mk
    to setup build flags.
  * Standards-Version: 4.4.0.

 -- Robert Luberda <robert@debian.org>  Mon, 29 Jul 2019 21:10:27 +0200

upx-ucl (3.95-1) unstable; urgency=medium

  * New upstream version:
    + contains fix for multiple memory reading issue (CVE-2018-11243,
      closes: #899190).
  * Add autopkgtest checks for basic functionalities of upx and for
    regressions against a few bugs reported in Debian in last few years.
  * Upload to unstable.
  * Standards-Version: 4.2.1.

 -- Robert Luberda <robert@debian.org>  Tue, 28 Aug 2018 21:47:27 +0200

upx-ucl (3.95~git20180805-1) experimental; urgency=medium

  * New upstream snapshot from git commit b97688d11.
  * Merge changes from 3.94-5 (switch to debhelper v11, update Vcs-*,
    and Standards-Version fields).

 -- Robert Luberda <robert@debian.org>  Sun, 05 Aug 2018 13:10:55 +0200

upx-ucl (3.94+git20171222-1) experimental; urgency=medium

  * New upstream snapshot from git commit aefb2fa3c.
  * Merge changes from 3.94-3 and 3.94-4, but remove both patches added
    in the latter version, as they are already included in this upstream
    snaphot.
  * debian/control: set Rules-Requires-Root to "no".

 -- Robert Luberda <robert@debian.org>  Sat, 23 Dec 2017 00:33:34 +0100

upx-ucl (3.94+git20170810-1) experimental; urgency=low

  * New upstream snapshot from git commit 5b545444 that hopefully fixes
    FTBFS on i386 and other architectures.

 -- Robert Luberda <robert@debian.org>  Thu, 10 Aug 2017 22:58:01 +0200

upx-ucl (3.94+git20170809-1) experimental; urgency=low

  * New upstream snapshot from git commit 8f572e5f.
  * Remove no longer needed  Check-DT_REL-i386.patch.

 -- Robert Luberda <robert@debian.org>  Wed, 09 Aug 2017 23:47:19 +0200

upx-ucl (3.94-5) unstable; urgency=medium

  * Apply Silence-some-gcc-8-snapshot-compiler-warnings.patch from upstream
    to fix gcc-8 compilation failure (closes: #897880).
  * Bump debhelper's compat level to 11.
  * debian/control:
    + update Vcs-* fields for salsa migration;
    + add `Rules-Requires-Root: no' field;
    + Standards-Version: 4.2.0.

 -- Robert Luberda <robert@debian.org>  Sun, 05 Aug 2018 08:55:46 +0200
