=== src/stub/src/arch/amd64/Makefile ===
# convenience Makefile
default %:
	$(MAKE) -C ../../.. $@
