=== src/stub/src/arch/arm/v4a/Makefile ===
# convenience Makefile
default %:
	$(MAKE) -C ../../../.. $@
