=== debian/changelog ===
upx-ucl (3.96-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.

  [ Robert Luberda ]
  * Add 03-upstream-silence-compilation-warnings.patch from upstream's
    commit c6c2fc49e to fix FTBFS with new gcc (closes: #984379).
  * Add debian/source/lintan-overrides for binaries included in
    debian/test/data for autopkgtest purposes.
  * Fix a typo in debian/copyright (lintian).
  * Remove Homepage field from debian/upstream/metadata (lintian).
  * Update standards version to 4.6.0, no changes needed.

 -- Robert Luberda <robert@debian.org>  Thu, 14 Oct 2021 08:12:34 +0200

upx-ucl (3.96-2) unstable; urgency=medium

  * Add 02-arm64-crashes.patch that reverts one of upstream commits, what should
    fix crashes visible on arm64 (closes: #955157).
  * Bump debhelper's compat version to 13.

 -- Robert Luberda <robert@debian.org>  Fri, 05 Jun 2020 12:14:39 +0200

upx-ucl (3.96-1) unstable; urgency=medium

  * New upstream version:
    + fixes heap-based buffer over-read and invalid memory address dereference
      in canUnpack()  (CVE-2019-20021, CVE-2019-20053, closes: #947471).
  * Remove no longer needed patches: 02-Ignore-malformed-ElfXX_Shdr.patch,
    and 03-Malformed-input.patch.
  * Add autopkgtest checks for #947471.
  * Replace debian/compat with build-dependency on debhelper-compat.
  * Add upstream metadata file.
  * Standards-Version: 4.5.0.

 -- Robert Luberda <robert@debian.org>  Sun, 08 Mar 2020 13:48:26 +0100
