=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 12), libucl-dev (>= 1.03), zlib1g-dev (>= 1:1.1.4)
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), libucl-dev (>= 1.03), zlib1g-dev (>= 1:1.1.4)
 Homepage: https://upx.github.io/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/upx-ucl.git
