=== debian/tests/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Test-Command: ./debian/tests/regressions-check 882401-segfault-macho "CantPackException: bad Mach_command"
 Features: test-name=bug882401-check
 
-Test-Command: ./debian/tests/regressions-check 899190-poc1 "CantPackException: bad PT_DYNAMIC"
+Test-Command: ./debian/tests/regressions-check 899190-poc1 'CantPackException: need DT_INIT; try "void _init(void){}"'
 Features: test-name=bug899190-check1
 
 Test-Command: ./debian/tests/regressions-check 899190-poc2 "CantPackException: DT_STRTAB above stub"
@@ -23,10 +23,17 @@
 
 Test-Command: ./debian/tests/regressions-check -d 907426-poc_free "Exception: compressed data violation"
 Features: test-name=bug907426-check
-Restrictions: flaky
 
 Test-Command: ./debian/tests/regressions-check -d 933232-poc-integer-overflow "CantUnpackException: bad e_phoff"
 Features: test-name=bug933232-check1
 
 Test-Command: ./debian/tests/regressions-check --no-qq -d 933232-poc-buffer-overflow "NotPackedException: not packed by UPX" 2
 Features: test-name=bug933232-check2
+
+# Data file downloaded from https://github.com/upx/upx/issues/314
+Test-Command: ./debian/tests/regressions-check -d 947471-poc1 "CantUnpackException: file corrupted"
+Features: test-name=bug947471-check1
+
+# Data file downloaded from https://github.com/upx/upx/issues/315
+Test-Command: ./debian/tests/regressions-check -d 947471-poc2 "CantUnpackException: file corrupted"
+Features: test-name=bug947471-check2
